source: ocsinventory-agent/trunk/fuentes/etc/init.d/ocsinventory-agent @ 468

Last change on this file since 468 was 468, checked in by mabarracus, 4 years ago

Copyt trusty code

  • Property svn:executable set to *
File size: 3.9 KB
Line 
1#! /bin/sh
2### BEGIN INIT INFO
3# Provides:         ocs-inventory-agent
4# Required-Start:    $local_fs $remote_fs
5# Required-Stop:     $local_fs $remote_fs
6# Default-Start:     2 3 4 5
7# Default-Stop:      0 1 6
8# Short-Description: OCS-Inventory Agent
9# Description:       This script laucn OCS Agent as daemon
10### END INIT INFO
11
12# Author: Gonéri Le Bouder <goneri@rulezlan.org>
13#
14
15# Do NOT "set -e"
16
17# PATH should only include /usr/* if it runs after the mountnfs.sh script
18PATH=/sbin:/usr/sbin:/bin:/usr/bin
19DESC="OCS Inventory Agent"
20NAME=ocsinventory-agent
21DAEMON=/usr/sbin/$NAME
22PIDFILE=/var/run/$NAME.pid
23SCRIPTNAME=/etc/init.d/$NAME
24
25# Exit if the package is not installed
26[ -x "$DAEMON" ] || exit 0
27
28# Read configuration variable file if it is present
29[ -r /etc/default/$NAME ] && . /etc/default/$NAME
30DAEMON_ARGS="-d -s $SERVER"
31
32# Load the VERBOSE setting and other rcS variables
33. /lib/init/vars.sh
34
35# Define LSB log_* functions.
36# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
37. /lib/lsb/init-functions
38
39#
40# Function that starts the daemon/service
41#
42do_start()
43{
44        # Return
45        #   0 if daemon has been started
46        #   1 if daemon was already running
47        #   2 if daemon could not be started
48        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
49                || return 1
50        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
51                $DAEMON_ARGS \
52                || return 2
53        # Add code here, if necessary, that waits for the process to be ready
54        # to handle requests from services started subsequently which depend
55        # on this one.  As a last resort, sleep for some time.
56}
57
58#
59# Function that stops the daemon/service
60#
61do_stop()
62{
63        # Return
64        #   0 if daemon has been stopped
65        #   1 if daemon was already stopped
66        #   2 if daemon could not be stopped
67        #   other if a failure occurred
68        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
69        RETVAL="$?"
70        [ "$RETVAL" = 2 ] && return 2
71        # Wait for children to finish too if this is a daemon that forks
72        # and if the daemon is only ever run from this initscript.
73        # If the above conditions are not satisfied then add some other code
74        # that waits for the process to drop all resources that could be
75        # needed by services started subsequently.  A last resort is to
76        # sleep for some time.
77        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
78        [ "$?" = 2 ] && return 2
79        # Many daemons don't delete their pidfiles when they exit.
80        rm -f $PIDFILE
81        return "$RETVAL"
82}
83
84#
85# Function that sends a SIGHUP to the daemon/service
86#
87do_reload() {
88        #
89        # If the daemon can reload its configuration without
90        # restarting (for example, when it is sent a SIGHUP),
91        # then implement that here.
92        #
93        start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
94        return 0
95}
96
97case "$1" in
98  start)
99        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
100        do_start
101        case "$?" in
102                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
103                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
104        esac
105        ;;
106  stop)
107        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
108        do_stop
109        case "$?" in
110                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
111                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
112        esac
113        ;;
114  #reload|force-reload)
115        #
116        # If do_reload() is not implemented then leave this commented out
117        # and leave 'force-reload' as an alias for 'restart'.
118        #
119        #log_daemon_msg "Reloading $DESC" "$NAME"
120        #do_reload
121        #log_end_msg $?
122        #;;
123  restart|force-reload)
124        #
125        # If the "reload" option is implemented then remove the
126        # 'force-reload' alias
127        #
128        log_daemon_msg "Restarting $DESC" "$NAME"
129        do_stop
130        case "$?" in
131          0|1)
132                do_start
133                case "$?" in
134                        0) log_end_msg 0 ;;
135                        1) log_end_msg 1 ;; # Old process is still running
136                        *) log_end_msg 1 ;; # Failed to start
137                esac
138                ;;
139          *)
140                # Failed to stop
141                log_end_msg 1
142                ;;
143        esac
144        ;;
145  *)
146        #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
147        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
148        exit 3
149        ;;
150esac
151
152:
Note: See TracBrowser for help on using the repository browser.